Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.random
Class BernoulliDistCImpl

    java.lang.Object
      |
      +--swarm.BaseImpl
            |
            +--swarm.PhaseCImpl
                  |
                  +--swarm.random.BernoulliDistCImpl

public class BernoulliDistCImpl
extends PhaseCImpl
implements BooleanDistributionC, BooleanDistributionS, BernoulliDistS, BernoulliDistC

Bernoulli Distribution . A distribution returning YES with a given probability.

Fields inherited from class swarm.PhaseCImpl
`nextPhase`

Constructor Summary
`BernoulliDistCImpl()`
`BernoulliDistCImpl(BernoulliDist nextPhase)`

Methods implemented by this class for interface swarm.random.BernoulliDistS
`setProbability`

Methods implemented by this class for interface swarm.random.BernoulliDistC
`create$setGenerator$setProbability, create$setGenerator$setVirtualGenerator$setProbability`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionC
`create$setGenerator, create$setGenerator$setVirtualGenerator, createWithDefaults`

Methods implemented by this class for interface swarm.random.ProbabilityDistributionS
`reset, setGenerator, setGenerator$setVirtualGenerator`

Methods implemented by this class for interface swarm.defobj.CreateC
`create, createBegin, createEnd`

Methods implemented by this class for interface swarm.defobj.CustomizeC
`customizeBegin, customizeCopy, customizeEnd`

Methods inherited from class swarm.PhaseCImpl
`_copy_creating_phase_to_using_phase`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BernoulliDistCImpl

    public BernoulliDistCImpl(BernoulliDist nextPhase)

### BernoulliDistCImpl

    public BernoulliDistCImpl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD